SHA1SUM(1)

BEZEICHNUNG
sha1sum - SHA1-Prüfsummen berechnen und überprüfen

ÜBERSICHT
sha1sum [OPTION]… [DATEI]…

BESCHREIBUNG

überprüft MD5-Prüfsummen (160-bit) oder gibt diese aus.

liest ohne DATEI oder wenn DATEI »-« ist, aus der Standardeingabe.

-b, --binary
    liest im Binärmodus.

-c, --check
    SHA1‐Prüfsummen aus DATEIen lesen und überprüfen

--tag
    erstellt eine Prüfsumme im BSD-Stil.

-t, --text
    liest im Textmodus (Voreinstellung).

-z, --zero
    schließt jede Ausgabezeile mit einem Nullbyte statt des Zeilenumbruchs ab und deaktiviert Dateinamenmaskierung.

  Die folgenden fünf Optionen sind nur beim Überprüfen sinnvoll:

--ignore-missing
    meldet keinen Fehlschlag oder Status für fehlende Dateien.

--quiet
    gibt nicht für jede erfolgreich geprüfte Datei OK aus.

--status
    gibt nichts aus, der Statuscode zeigt Erfolg an.

--strict
    bricht bei ungeeignet formatierten Prüfsummenzeilen mit von 0 verschiedenem Fehlercode ab.

-w, --warn
    warnt bei ungeeignet formatierten Prüfsummenzeilen.

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

Die Summen werden wie in FIPS-180-1 beschrieben berechnet. Beim Überprüfen sollte die Eingabe eine frühere Ausgabe dieses Programms sein. Die normale Arbeitsweise ist es, eine Zeile mit Prüfsumme, einem Zeichen, das den Eingabetyp anzeigt (»*« für binär, Leerzeichen für Text oder wenn binär nicht von Bedeutung ist), und dem Namen jeder DATEI auszugeben.

FEHLER
Der SHA1-Algorithmus sollte für sicherheitsrelevante Zwecke nicht mehr verwandt werden. Stattdessen verwenden Sie einen SHA-2-Algorithmus, der in den Programmen sha224sum(1), sha256sum(1), sha384sum(1) und sha512sum(1) implementiert ist oder den in b2sum(1) implementierten BLAKE2-Algorithmus.

AUTOR
Geschrieben von Ulrich Drepper, Scott Miller und David Madore.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: <https://www.gnu.org/software/coreutils/>
Melden Sie Fehler in der Übersetzung an <https://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2019 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <https://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/sha1sum>
oder lokal verfügbar mit: info '(coreutils) sha1sum invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.